import { StateField } from '@codemirror/state';
export interface File {
    name: string;
    content: string;
}
interface FileExplorerState {
    files: File[];
    selectedFile: string | null;
    expandedDirs: Set<string>;
    projectName?: string;
}
declare const loadFileEffect: import("@codemirror/state").StateEffectType<string>;
declare const updateFilesEffect: import("@codemirror/state").StateEffectType<File[]>;
declare const setProjectNameEffect: import("@codemirror/state").StateEffectType<string>;
export declare const fileExplorer: (import("@codemirror/state").Extension | StateField<FileExplorerState>)[];
export { loadFileEffect, updateFilesEffect, setProjectNameEffect };
